import request from '@/config/axios';
import type { TableData } from './types';

/** 获取表格数据 */
export const getRGDBQueryListApi = (data: any) => {
  return request.postJson({ url: '/RGDBQuery/spi/RGDBQuery/RgdbQuery/RgdbQueryQueryPage', data });
};

/** 批量删除 */
export const delRGDBQueryListApi = (list: string[] | number[]): Promise<IResponse> => {
  const _list = list.map(v => {
    return {
      pkid: v.pkid,
    };
  });
  return request.postJson({
    url: '/RGDBQuery/spi/RGDBQuery/RgdbQuery/RgdbQueryBatchDelete',
    data: {
      list: _list,
    },
  });
};

/** 删除 */
export const delRGDBQueryApi = (pkid?: string): Promise<IResponse> => {
  return request.postJson({ url: '/RGDBQuery/spi/RGDBQuery/RgdbQuery/RgdbQueryDelete', data: { pkid } });
};

/** 保存 */
export const saveRGDBQueryApi = (data: Partial<TableData>): Promise<IResponse> => {
  return request.postJson({ url: '/RGDBQuery/spi/RGDBQuery/RgdbQuery/RgdbQuerySave', data });
};

/** 查询单条数据 */
export const queryRGDBQueryApi = (pkid?: string): Promise<IResponse> => {
  return request.postJson({ url: '/RGDBQuery/spi/RGDBQuery/RgdbQuery/RgdbQueryQueryOne', data: { pkid } });
};

/** 同步导入 */
export const importExcelApiUrl = '/RGDBQuery/sui/RGDBQuery/RgdbQuery/RgdbQueryImportExcel';

/** 异步导入 */
export const importExcelAsyncApiUrl = '/RGDBQuery/sui/RGDBQuery/RgdbQuery/RgdbQueryImportAsyncExcel';

/** 导出 */
export const exportExcelApi = (params: any) => {
  return request.doExport({ url: '/RGDBQuery/sdi/RGDBQuery/RgdbQuery/RgdbQueryExportXls', params });
};

/** 获取某个字典 */
export const getCsckCheckType = ({ paramName, systemCode }): Promise<IResponse> => {
  return request.postJson({
    url: '/param/spi/param/systemparam',
    data: {
      paramName: paramName,
      systemCode: systemCode,
    },
  });
};

